// 开发环境配置
const config = {
  // 生产环境
  produce: {
    baseUrl: 'https://www.menduner.com',
    previewUrl: 'https://kkfileview.menduner.com/', // 预览路径
    fontBaseUrl: ''
  },
  httpsTest: {
    baseUrl: 'https://menduner.citupro.com:2443',
    fontBaseUrl: 'https://menduner.citupro.com:3443/dev/menduner/font/'
  },
  httpTest: { 
    baseUrl: 'http://menduner.citupro.com:7878',
    fontBaseUrl: 'https://menduner.citupro.com:3443/dev/menduner/font/'
  }
}

export const envObj = config['httpsTest']

// 字体下载地址
export const fontBaseUrl = config['httpsTest'].fontBaseUrl

export const baseUrl = envObj.baseUrl

// 租户id
export const tenantId = '155'

export const apiPath = '/app-api'