import { fontBaseUrl } from './config'

// 第三方字体库调用
export const loadFont = () => {
	// 所有的.tff文件
	const fontsArr = [
		// 'MiSans-Heavy',
		// 'MiSans-ExtraLight',
		// 'MiSans-Light',
		// 'MiSans-Demibold',
		'MiSans-Semibold',
		'MiSans-Normal',
		// 'MiSans-Thin',
		'MiSans-Bold',
		// 'MiSans-Regular',
		'MiSans-Medium'
	]

	fontsArr.forEach(itm => {
		wx.loadFontFace({
			family: `${itm}`,
			global: true, //是否全局生效
			source: `url("${fontBaseUrl}${itm}.ttf")`, //字体资源的地址
			success: function(e) {
				// console.log(itm, '===>字体调用成功', e);
			},
			fail: function(e) {
				console.log(itm, '===>字体调用失败', e);
			}
		})
	})
}

// module.exports = {
// 	loadFont: loadFont
// }
